scrape_configs:
  - job_name: prometheus
    scrape_interval: 30s
    static_configs:
      - targets: ['localhost:9090']
        labels:
          group: 'prometheus'

  - job_name: watchtower-docker
    scrape_interval: 10m
    metrics_path: /v1/metrics
    bearer_token: "REDACTED_TOKEN"  # pragma: allowlist secret
    static_configs:
      - targets: ['watchtower:8080']

  - job_name: node-docker
    scrape_interval: 5s
    static_configs:
      - targets: ['prometheus-node:9100']

  - job_name: cadvisor-docker
    scrape_interval: 5s
    static_configs:
      - targets: ['prometheus-cadvisor:8080']

  - job_name: snmp-docker
    scrape_interval: 5s
    static_configs:
      - targets: ['192.168.0.200']
    metrics_path: /snmp
    params:
      module: [synology]
      auth: [snmpv3]
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - source_labels: [__param_target]
        regex: (.*)
        replacement: prometheus-snmp:9116
        target_label: __address__

  - job_name: homelab
    static_configs:
      - targets: ['192.168.0.210:9100']
        labels:
          instance: homelab

  - job_name: LA_VM
    static_configs:
      - labels:
          instance: LA_VM
        targets:
          - YOUR_WAN_IP:9100

  - job_name: nuc
    static_configs:
      - labels:
          instance: vish-concord-nuc
        targets:
          - 100.72.55.21:9100

  - job_name: indolent-flower
    static_configs:
      - labels:
          instance: indolent-flower
        targets:
          - 100.87.181.91:9100

  - job_name: 'blackbox'
    metrics_path: /probe
    params:
      module: [http_2xx]
    static_configs:
      - targets:
          - https://google.com
          - https://1.1.1.1
          - http://192.168.0.1
        labels:
          group: 'external-probes'
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox-exporter:9115

  - job_name: 'speedtest_atlantis'
    scrape_interval: 15m
    scrape_timeout: 90s  # <-- extended timeout
    static_configs:
      - targets: ['speedtest-exporter:9798']

  - job_name: 'speedtest_calypso'
    scrape_interval: 15m
    scrape_timeout: 90s  # <-- extended timeout
    static_configs:
      - targets: ['192.168.0.250:9798']
